"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const tslib_1 = require("tslib");
const run_1 = require("../../utils/run");
function runExecutor(options, context) {
    return (0, tslib_1.__awaiter)(this, void 0, void 0, function* () {
        const projectName = context.projectName;
        if (!projectName)
            throw new Error('Project name requited');
        const sourceRoot = context.workspace.projects[projectName].root;
        const cwd = `${sourceRoot}`;
        const testDir = `.`;
        const testPattern = options.testPattern ? '-p' : undefined;
        return (0, run_1.runTest)(context, [testDir, testPattern], { cwd });
    });
}
exports.default = runExecutor;
//# sourceMappingURL=executor.js.map