"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.runTest = void 0;
const child_process_1 = require("child_process");
function runTest(context, params, options = {}) {
    const cmd = options.cmd || 'python -m unittest discover';
    const cwd = options.cwd || process.cwd();
    const execute = `${cmd} ${params.filter((n) => n).join(' ')}`;
    try {
        console.log(`Executing command: ${execute}`);
        (0, child_process_1.execSync)(execute, { cwd, stdio: [0, 1, 2] });
        return { success: true };
    }
    catch (e) {
        console.error(`Failed to execute command: ${execute}`, e);
        return { success: false };
    }
}
exports.runTest = runTest;
//# sourceMappingURL=run.js.map